Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Wed, 19 Apr 2023 04:18:21 +0000 (UTC)

Hi Dalal Alarawi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order number 6822436594

My order shoul be received by April 16th and now we are at day 18 , yet I did not see any notice of the new delivery date
I am wondering of this kind of service

I received The following whatsup message

I see that your furniture order: 6822436594 has been scheduled and will be delivered on 27-04-2023, 14:00-18:00 and assemlby will be done by the techniation of delivery crew.

This is not acceptable by any mean
This is kind of ignorance of your customers 
I supposed receiving my order on April 16 and now moved to Aprill 27th

HomeBox is a great shopping agency and dealt  with it several time without any problem. This time I was very disappointed from the behavior of your delivery department where they broke the the agreed delves date.
Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6114760